<?php

namespace App\Model;

final class OrganizationalUnitMulticastModes
{
    public const string HALF_DUPLEX = 'half';
    public const string FULL_DUPLEX = 'full';

    private const array MCAST_MODES = [
        self::HALF_DUPLEX => 'Half Duplex',
        self::FULL_DUPLEX => 'Full Duplex',
    ];

    public static function getMcastModeNames(): array
    {
        return self::MCAST_MODES;
    }

    public static function getMcastType(string $mcastMode): ?string
    {
        return self::MCAST_MODES[$mcastMode] ?? null;
    }

    public static function getMcastModes(): array
    {
        return array_keys(self::MCAST_MODES);
    }
}